import 'package:dio/dio.dart' as dio;
import 'package:dio_helper_flutter/dio_helper.dart';
import '../lib/src/api_key.dart';
import 'api_provider.dart';

class ApiRepository implements ApiProvider {
  final ApiProvider _apiProvider;

  ApiRepository(this._apiProvider);

  @override
  void getApi(String pathUrl,
      {Map<String, dynamic>? queryParameters,
      required HttpSuccessCallback success,
      required HttpFailureCallback error}) {

    _apiProvider.getApi(pathUrl,
        queryParameters: queryParameters, success: success, error: error);
  }

  @override
  void postApi(String pathUrl,
      {dynamic data,
      Map<String, dynamic>? queryParameters,
      required HttpSuccessCallback success,
      required HttpFailureCallback error}) {
    _apiProvider.postApi(pathUrl,
        queryParameters: queryParameters,
        data: data,
        success: success,
        error: error);
  }

  @override
  void imageUpload(String pathUrl,
      {required dio.FormData formData,
      required HttpSuccessCallback success,
      required HttpFailureCallback error}) {
    _apiProvider.imageUpload(pathUrl,
        formData: formData, success: success, error: error);
  }
}
